App::ClusterSSH::Window::Tk(3)

NAME
App::ClusterSSH::Window::TK - Base Tk windows object

DESCRIPTION
Base object for using Tk - must be pulled into App::ClusterSSH::Window for use

METHODS

add_host_by_name
build_hosts_menu
capture_map_events
change_main_window_title
close_inactive_sessions
console_focus
create_menubar
create_windows
get_font_size
get_keycode_state
initialise
key_event
load_keyboard_map
mainloop
open_client_windows
pick_color
populate_send_menu
populate_send_menu_entries_from_xml
re_add_closed_sessions
retile_hosts
send_resizemove
send_text
send_text_to_all_servers
send_variable_text_to_all_servers
set_all_active
set_half_inactive
setup_repeat
show_console
show_history
substitute_macros
terminate_all_hosts
terminate_host
toggle_active_state
update_display_text